Name:		fluxconf
Version:	0.9.9
Release:	%mkrel 3
Summary:	Configuration utility for fluxbox
URL:		http://devaux.fabien.free.fr/flux
Source:		http://devaux.fabien.free.fr/flux/%{name}-%{version}.tar.bz2
Source1:	fluxstyle-16.png
Source2:	fluxstyle-32.png
Source3:	fluxstyle-48.png
License:	GPLv2+
Group:		Graphical desktop/Fluxbox
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	automake1.7
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
This application allows you to configure most Fluxbox settings
graphically.

#german
%description -l de
Diese Anwendung bietet für die meisten Fluxbox Einstellungen 
eine grafische Benutzeroberfläche.

#french
%description -l fr
Cette application vous permet de configurer les paramètres les plus Fluxbox graphiquement.

#spanish
%description -l es
Esta aplicación le permite configurar la mayoría de los ajustes de Fluxbox gráficamente.

#polish
%description -l pl
This application allows you to configure most Fluxbox settings
graphically.

#serbian
%description -l sr
Ова апликација вам омогућава да конфигуришете подешавања највише Флуксбокс графички.

#dutch
%description -l nl
Deze toepassing kunt u voor het configureren van de meeste Fluxbox instellingen grafisch.

%prep
%setup -q
# Don't build with -Werror, I am not fixing warnings in years-old code
sed -i -e 's,-Werror,,g' src/Makefile.am

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot} %{name}.lang
%makeinstall

%find_lang %{name}

pushd %{buildroot}%{_bindir}
ln -sf fluxconf fluxbare
ln -sf fluxconf fluxkeys
ln -sf fluxconf fluxmenu
popd

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %SOURCE2 %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %SOURCE3 %{buildroot}%_liconsdir/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Flux Configuration Manager
Comment=Graphical Configuration Manager
Exec=%{_bindir}/fluxbare
Icon=%name.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Other;Settings;
EOF





%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/fluxconf
%{_bindir}/fluxkeys
%{_bindir}/fluxbare
%{_bindir}/fluxmenu
%{_datadir}/applications//%{name}.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog INSTALL README



%changelog
* Mon Oct 05 2009 Texstar <nealbrks0@gmail.com> 0.9.9-3pclos2010
- gcc update

* Sun May 25 2009 Texstar <texstar@gmail.com> 0.9.9-2pclos2009
- fix rpm group
- icons
- menu entry

* Tue Mar 04 2008 P. K. Frederic <pkfri@yahoo.com> 0.9.9-1pclos2007
- first RPM for PCLinuxOS imported from Adam Williamson
